Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.util
Class UriEncoder

    java.lang.Object
      com.thaiopensource.util.UriEncoder

    public class UriEncoder

extends Object

Selectively percent-encodes characters in a URI.

Constructor Summary
`UriEncoder()`

Method Summary
`static String` | `encode(String s)`
`static String` | `encodeAsAscii(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UriEncoder

    public UriEncoder()

Method Detail

### encode

    public static String encode(String s)

### encodeAsAscii

    public static String encodeAsAscii(String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD